# Generated by Django 4.0.10 on 2023-09-28 12:58

from django.db import migrations
import wagtail.blocks
import wagtail.blocks.static_block
import wagtail.embeds.blocks
import wagtail.fields
import wagtail.images.blocks


class Migration(migrations.Migration):

    dependencies = [
        ('documents', '0006_alter_top_news_item_blank_true'),
    ]

    operations = [
        migrations.AlterField(
            model_name='streamfieldpage',
            name='body',
            field=wagtail.fields.StreamField([('heading', wagtail.blocks.CharBlock(form_classname='full title', template='documents/blocks/heading.html')), ('paragraph', wagtail.blocks.RichTextBlock()), ('rawparagraph', wagtail.blocks.RawHTMLBlock()), ('image', wagtail.images.blocks.ImageChooserBlock()), ('video', wagtail.embeds.blocks.EmbedBlock()), ('figure', wagtail.blocks.StreamBlock([('image', wagtail.images.blocks.ImageChooserBlock()), ('video', wagtail.embeds.blocks.EmbedBlock()), ('meta', wagtail.blocks.StructBlock([('fignum', wagtail.blocks.IntegerBlock()), ('legend', wagtail.blocks.TextBlock()), ('credit', wagtail.blocks.CharBlock())]))], icon='cogs')), ('animation', wagtail.blocks.static_block.StaticBlock(admin_text='Default tour animation: no configuration needed.', template='documents/blocks/animation.html'))], use_json_field=True),
        ),
    ]
